%define api_version 2.4
%define lib_major	1
%define lib_name	%mklibname soup- %{api_version} %{lib_major}
%define develname %mklibname -d soup- %{api_version} 

Summary: SOAP (Simple Object Access Protocol) implementation
Name: libsoup
Version: 2.4.0
Release: %mkrel 2
License: GPL/LGPL
Group: System/Libraries
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.4.0-2mdv various SVN fixes (HTTP Digest Auth)
Patch0: libsoup-2.4.0-svnfixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: gtk-doc
BuildRequires: libxml2-devel

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package -n %{lib_name}
Summary:        Libraries for soup
Group:          System/Libraries

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %develname
Summary:        Development libraries, header files and utilities for soup
Group:          Development/GNOME and GTK+
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Conflicts:	%{_lib}soup-2.2_7-devel
Obsoletes: %mklibname -d soup- 2.2 8

%description -n %develname
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%setup -q
%patch0 -p1 -b .svnfixes

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_libdir}/*.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}-%api_version
%doc ChangeLog
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*




%changelog
* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-2mdv2008.1
+ Revision: 190737
- Patch0 : various fixes from SVN (including HTTP Digest Authentication)

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.1
+ Revision: 183693
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.3.4-1mdv2008.1
+ Revision: 175037
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.3.2-1mdv2008.1
+ Revision: 165689
- new version
- new major
- update file list

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.3.0.1-1mdv2008.1
+ Revision: 159519
- new version
- update file list

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 159381
- new version
- new api
- new major

* Thu Jan 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.104-2mdv2008.1
+ Revision: 154149
- do not package big changelog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.2.104-1mdv2008.1
+ Revision: 113314
- new version

* Sun Oct 28 2007 Götz Waschk <waschk@mandriva.org> 2.2.103-1mdv2008.1
+ Revision: 102868
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.2.102-1mdv2008.1
+ Revision: 98531
- new version

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 2.2.101-2mdv2008.1
+ Revision: 96656
- fix obsoletes

* Sat Oct 06 2007 Götz Waschk <waschk@mandriva.org> 2.2.101-1mdv2008.1
+ Revision: 95654
- new version
- new devel name


* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.2.100-1mdv2007.0
+ Revision: 119994
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.2.99-1mdv2007.1
+ Revision: 106276
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.2.98-1mdv2007.1
+ Revision: 86160
- new version

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.97-1mdv2007.0
+ Revision: 77058
- Import libsoup

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.97-1mdv2007.1
- New version 2.2.97

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.2.96-1
- New release 2.2.96

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.2.95.1-1mdv2007.0
- New release 2.2.95.1

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.2.95-1
- New release 2.2.95

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.94-1
- New release 2.2.94

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.2.93-1mdv2007.0
- New release 2.2.93

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.2.92-1mdk
- New release 2.2.92

* Sun Mar 05 2006 Gtz Waschk <waschk@mandriva.org> 2.2.91-1mdk
- drop patch
- New release 2.2.91

* Tue Jan 31 2006 Gtz Waschk <waschk@mandriva.org> 2.2.7-2mdk
- patch for bug #20426

* Thu Nov 17 2005 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdk
- New release 2.2.7

* Thu Oct 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.6.1-2mdk
- Add conflicts to ease upgrade

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.6.1-1mdk
- Release 2.2.6.1
- Remove patch0

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-2mdk 
- Rebuild

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdk 
- Release 2.2.3 (based on Gtz Waschk)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk 
- Release 2.2.2

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.1-3mdk
- nuke lib64 rpaths

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-2mdk 
- Rebuild with latest gnutls

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- New release 2.2.1
- Remove patch0 (merged upstream)

* Sat Aug 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Change major

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.13-1mdk
- new major
- New release 2.1.13

* Wed Jul 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.12-1mdk
- New release 2.1.12

* Sat Jun 05 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Sat May 22 2004 Abel Cheung <deaddog@deaddog.org> 2.1.10-2mdk
- __libtoolize can be removed now

* Sat May 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- New release 2.1.10

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.9-1mdk
- New release 2.1.9

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.28-1mdk
- Release 1.99.28

